Copied to clipboard

Flag this post as spam?

This post will be reported to the moderators as potential spam to be looked at


  • Matt 189 posts 493 karma points
    Nov 06, 2018 @ 09:56
    Matt
    0

    uSync Chauffeur error on install

    Hello,

    Sorry I dint relies uSync had its own forum section.

    I've installed Chauffeur which installed with no issue, however when I tried to install uSync.Chauffeur I get the following error;

    Installing uSync.Chauffeur 1.0.0.
    Install failed. Rolling back...
    Package 'uSync.Chauffeur.1.0.0 : Chauffeur.Runner [1.3.0, ), uSync [4.0.5, )' does not exist in project 'UmbracoSiteA'
    Package 'uSync.Chauffeur.1.0.0 : Chauffeur.Runner [1.3.0, ), uSync [4.0.5, )' does not exist in folder 'UmbracoSiteA\packages'
    Executing nuget actions took 743.85 ms
    Install-Package : Could not install package 'uSync.Chauffeur 1.0.0'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.5.2', but the package does not contain any 
    assembly references or content files that are compatible with that framework. For more information, contact the package author.
    At line:1 char:1
    + Install-Package uSync.Chauffeur -Version 1.0.0
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : NotSpecified: (:) [Install-Package], Exception
        + FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdlets.InstallPackageCommand
    

    Thanks in advance, Matt

  • Kevin Jump 1421 posts 9130 karma points MVP 3x c-trib
    Nov 06, 2018 @ 12:01
    Kevin Jump
    0

    Hi Matt,

    the uSync.Chauffeur package is targeted to .net 4.6.2 and higher -

    I can't quite remember if there is a reason for this, so i will take a look - and see if it can't be downgraded (will need a new release of the package for this) but it think your project is targeting 4.5.2 and that is why it isn't installing.

    Kevin

  • Matt 189 posts 493 karma points
    Nov 06, 2018 @ 12:42
    Matt
    0

    Hello Kevin,

    Thanks for getting back to me.

    Yes my project is running 4.5.2, would really appreciate that.

    Thank you.

    Matt

  • Matt 189 posts 493 karma points
    Nov 20, 2018 @ 14:17
    Matt
    0

    Hello Kevin,

    Would you have an estimated time when a new version is most likely to come out which would fix this?

    Thanks,

    Matt

Please Sign in or register to post replies

Write your reply to:

Draft